WP6SetNumberGroup Class Reference documentation

WP6SetNumberGroup Class Reference

`#include <WP6SetNumberGroup.h>`

Inheritance diagram for WP6SetNumberGroup:

## Public Member Functions
| WP6SetNumberGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP6SetNumberGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *listener) override
Public Member Functions inherited from WP6VariableLengthGroup
| WP6VariableLengthGroup ()
| ~WP6VariableLengthGroup () override
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Private Attributes
unsigned char | m_countOfLevelNumbersSetting
unsigned char | m_startingLevelNumber
unsigned short | m_countNumbers

## Additional Inherited Members
Static Public Member Functions inherited from WP6VariableLengthGroup
static WP6VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP6VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const
unsigned char | getFlags () const
unsigned char | getNumPrefixIDs () const
const unsigned short * | getPrefixIDs () const
unsigned short | getSizeNonDeletable () const
unsigned short | getSizeDeletable () const

## Constructor & Destructor Documentation

## ◆ WP6SetNumberGroup()

WP6SetNumberGroup::WP6SetNumberGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## ◆ ~WP6SetNumberGroup()

WP6SetNumberGroup::~WP6SetNumberGroup | ( |  | ) |
| override

## Member Function Documentation

## ◆ _readContents()

void WP6SetNumberGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overridevirtual

Reimplemented from WP6VariableLengthGroup.

## ◆ parse()

void WP6SetNumberGroup::parse | ( | WP6Listener * | listener | ) |
| overridevirtual

Implements WP6Part.

## Member Data Documentation

## ◆ m_countNumbers

unsigned short WP6SetNumberGroup::m_countNumbers
| private

Referenced by _readContents(), parse(), and WP6SetNumberGroup().

## ◆ m_countOfLevelNumbersSetting

unsigned char WP6SetNumberGroup::m_countOfLevelNumbersSetting
| private

Referenced by _readContents(), and WP6SetNumberGroup().

## ◆ m_startingLevelNumber

unsigned char WP6SetNumberGroup::m_startingLevelNumber
| private

Referenced by _readContents(), and WP6SetNumberGroup().

The documentation for this class was generated from the following files:

- WP6SetNumberGroup.h
- WP6SetNumberGroup.cpp